<html>
<head>
<title>Ogre::Matrix3 Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-methods">Static Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pro-methods">Protected Member Functions</a> &#124;
<a href="#pro-static-methods">Static Protected Member Functions</a> &#124;
<a href="#pro-attribs">Protected Attributes</a> &#124;
<a href="#pro-static-attribs">Static Protected Attributes</a> &#124;
<a href="#friends">Friends</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Matrix3 Class Reference<div class="ingroups"><a class="el" href="group__Math.html">Math</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Matrix3" -->
<p>A 3x3 matrix which can represent rotations around axes.  
 <a href="classOgre_1_1Matrix3.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>&gt;</code></p>

<p><a href="classOgre_1_1Matrix3-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Matrix3</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Default constructor.  <a href="#a0ecaa32a22cc18ca76dc74377005e7e1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a705a22877d9f0a33724887e577486b41">Matrix3</a> (const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> arr[3][3])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a04f1bcba696c41cae099b5229789772b">Matrix3</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a3653fb657419f82d71f7ae06df0dd9f5">Matrix3</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry00, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry01, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry02, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry10, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry11, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry12, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry20, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry21, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fEntry22)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a741fc44c8d8a16de7eb395209d025f5c">swap</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;other)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Exchange the contents of this matrix with another.  <a href="#a741fc44c8d8a16de7eb395209d025f5c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ad5ae794f77955d57e92f0457bcdf0d0b">operator[]</a> (size_t iRow) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a6d5df6ca5b1fb2eb3de77124da0a390d">GetColumn</a> (size_t iCol) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ab5f04bc27bc68152b92123ac2d14afd5">SetColumn</a> (size_t iCol, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;vec)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ad904362ff107e91ed2881a9802d11979">FromAxes</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;xAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;yAxis, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;zAxis)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#af1d37de5c682f78870aae007ee71a360">operator=</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a14f0de269999f5e58d7ec11f09e82fff">operator==</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests 2 matrices for equality.  <a href="#a14f0de269999f5e58d7ec11f09e82fff"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ac28de07a8eeb9257d9f6a85c8bf9a0df">operator!=</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Tests 2 matrices for inequality.  <a href="#ac28de07a8eeb9257d9f6a85c8bf9a0df"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a6b41bd7f552290c980690f69e4f54004">operator+</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix addition.  <a href="#a6b41bd7f552290c980690f69e4f54004"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ac0c776e7ee4604fd58715cf1edd62de7">operator-</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix subtraction.  <a href="#ac0c776e7ee4604fd58715cf1edd62de7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#af1026cdff574efcbedc74bdb42ebc2ec">operator*</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix concatenation using '*'.  <a href="#af1026cdff574efcbedc74bdb42ebc2ec"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a59733eb23090e235cad6451e1636e8fb">operator-</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a6dca1bb430c899ce510e36a5eed9aa7a">operator*</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkVector) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix * vector [3x3 * 3x1 = 3x1].  <a href="#a6dca1bb430c899ce510e36a5eed9aa7a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#abfe7d82c1776a64f97575ba5677628b5">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Matrix * scalar.  <a href="#abfe7d82c1776a64f97575ba5677628b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a4ccc246eae557ee30ec285fe2cc99f54">Transpose</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a068ef05b6bbed7ac88d22fe7cc221a7e">Inverse</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkInverse, <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fTolerance=1e-06) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ad562bfb225028627c3ac7812056d5b45">Inverse</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fTolerance=1e-06) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ae6c425038bd77d80f1461652ec68b19f">Determinant</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a22254ba3dcecdad3907deb7d8b185419">SingularValueDecomposition</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkL, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkS, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkR) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a1efb2981c1a759e607e1431321d95524">SingularValueComposition</a> (const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkL, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkS, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkR)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#add64f270c75286c4cafa3b242778573f">Orthonormalize</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Gram-Schmidt orthonormalization (applied to columns of rotation matrix)  <a href="#add64f270c75286c4cafa3b242778573f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ab86645418b9db322c77e911e1b95406e">QDUDecomposition</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkQ, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkD, <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkU) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Orthogonal Q, diagonal D, upper triangular U stored as (u01,u02,u12)  <a href="#ab86645418b9db322c77e911e1b95406e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ac46c5191ed2e90c943ad626764caadeb">SpectralNorm</a> () const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a2db08ea197215539e29b16dd601b1bc4">ToAngleAxis</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#afb91aa65a30bd4dda455117851bc9cc4">ToAngleAxis</a> (<a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, <a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;rfAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ab96e7684e128659752ec94031357e6ff">FromAngleAxis</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkAxis, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRadians)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a2a181c876993cf552fb771e3ff0bc4d3">ToEulerAnglesXYZ</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a266398dd88459e4ab8028f20e5f1baa2">ToEulerAnglesXZY</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#affba36508ff21d216168aaf181662a0b">ToEulerAnglesYXZ</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#abe2f46f171e6e470298a39b0b1da9067">ToEulerAnglesYZX</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#aca3ad54e245e5db1829cfdeded15d548">ToEulerAnglesZXY</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a3966a3dc328db1d6f67bfc9122a9e81c">ToEulerAnglesZYX</a> (<a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfYAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfPAngle, <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;rfRAngle) const </td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a3f5abdecf648a54b164df112c7037ed7">FromEulerAnglesXYZ</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a209f31aa2e25d9b3d55d64d2d8304382">FromEulerAnglesXZY</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a2e0ccd0f22689072aa4a64c7a441f694">FromEulerAnglesYXZ</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a94b0b7264cc1572fff22f491ac6cc664">FromEulerAnglesYZX</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ac0148ffb86f185d7de044fd83e9647ce">FromEulerAnglesZXY</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a8308f99c3c13e067f016a45f26f15389">FromEulerAnglesZYX</a> (const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fYAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fPAngle, const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;fRAngle)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a050ec131b1f7d0fbe11ddf06133478b9">EigenSolveSymmetric</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afEigenvalue[3], <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> akEigenvector[3]) const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Eigensolver, matrix must be symmetric.  <a href="#a050ec131b1f7d0fbe11ddf06133478b9"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#af631455ebc8569768f1afb7a8711bca7">hasScale</a> () const </td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Determines if this matrix involves a scaling.  <a href="#af631455ebc8569768f1afb7a8711bca7"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="pub-static-methods"></a>
Static Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#af1d217c48e8894227fa2cf2a7952cccc">TensorProduct</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkU, const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkV, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkProduct)</td></tr>
<tr><td colspan="2"><h2><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a5bf17bf2239af2516e359dc6de22bf3d">EPSILON</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a4561d62d4d2c088ce2a3b6c3ec3d09af">ZERO</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">IDENTITY</a></td></tr>
<tr><td colspan="2"><h2><a name="pro-methods"></a>
Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#aba77d4cfb88b20309871d112729c03e9">Tridiagonal</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afDiag[3], <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afSubDiag[3])</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a970bb631fd5e6a6b0518ec160a3bfebd">QLAlgorithm</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afDiag[3], <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afSubDiag[3])</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-methods"></a>
Static Protected Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a2623a5189b5ada5e6746752406618615">Bidiagonalize</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kA, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kL, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kR)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a91fba8359a29a0bad16c9f73e436409f">GolubKahanStep</a> (<a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kA, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kL, <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;kR)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a275b664601f3baaec4e13f2141a2cba4">MaxCubicRoot</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> afCoeff[3])</td></tr>
<tr><td colspan="2"><h2><a name="pro-attribs"></a>
Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#afa4cf13c54bdcc2df5fa761e01ad180d">m</a> [3][3]</td></tr>
<tr><td colspan="2"><h2><a name="pro-static-attribs"></a>
Static Protected Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#aa4db0a7f3f09a72d78b602639c3d8af5">msSvdEpsilon</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">static const unsigned int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a5e4a7f79f1b639102b04410b232702c6">msSvdMaxIterations</a></td></tr>
<tr><td colspan="2"><h2><a name="friends"></a>
Friends</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#aed2829d86d2df8f9333d4c0087455880">Matrix4</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend <a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a9bc849d4891efcbb40253e790d8f5837">operator*</a> (const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;rkVector, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Vector * matrix [1x3 * 3x3 = 1x3].  <a href="#a9bc849d4891efcbb40253e790d8f5837"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#a475a485a770084ade97b8fd310b60011">operator*</a> (<a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> fScalar, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;rkMatrix)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Scalar * matrix.  <a href="#a475a485a770084ade97b8fd310b60011"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream &amp;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Matrix3.html#ab1f3df74a0e5f9db6bdede953974466b">operator&lt;&lt;</a> (std::ostream &amp;o, const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;mat)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function for writing to a stream.  <a href="#ab1f3df74a0e5f9db6bdede953974466b"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>A 3x3 matrix which can represent rotations around axes. </p>
<dl class="note"><dt><b>Note:</b></dt><dd><b>All the code is adapted from the Wild Magic 0.2 Matrix library (<a href="http://www.geometrictools.com/">http://www.geometrictools.com/</a>).</b> </dd></dl>
<dl class="user"><dt><b></b></dt><dd>The coordinate system is assumed to be <b>right-handed</b>. </dd></dl>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00068">68</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="a0ecaa32a22cc18ca76dc74377005e7e1"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="a0ecaa32a22cc18ca76dc74377005e7e1" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Ogre::Matrix3::Matrix3</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Default constructor. </p>
<dl class="note"><dt><b>Note:</b></dt><dd>It does <b>NOT</b> initialize the matrix for efficiency. </dd></dl>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00075">75</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a705a22877d9f0a33724887e577486b41"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="a705a22877d9f0a33724887e577486b41" args="(const Real arr[3][3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Ogre::Matrix3::Matrix3</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>arr</em>[3][3]</td><td>)</td>
          <td><code> [explicit]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00076">76</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a04f1bcba696c41cae099b5229789772b"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="a04f1bcba696c41cae099b5229789772b" args="(const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Ogre::Matrix3::Matrix3</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00080">80</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMatrix3_8h_source.html#l00278">m</a>.</p>

</div>
</div>
<a class="anchor" id="a3653fb657419f82d71f7ae06df0dd9f5"></a><!-- doxytag: member="Ogre::Matrix3::Matrix3" ref="a3653fb657419f82d71f7ae06df0dd9f5" args="(Real fEntry00, Real fEntry01, Real fEntry02, Real fEntry10, Real fEntry11, Real fEntry12, Real fEntry20, Real fEntry21, Real fEntry22)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html#a0ecaa32a22cc18ca76dc74377005e7e1">Ogre::Matrix3::Matrix3</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry00</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry01</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry02</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry10</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry11</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry12</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry20</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry21</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fEntry22</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00084">84</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a2623a5189b5ada5e6746752406618615"></a><!-- doxytag: member="Ogre::Matrix3::Bidiagonalize" ref="a2623a5189b5ada5e6746752406618615" args="(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1Matrix3.html#a2623a5189b5ada5e6746752406618615">Ogre::Matrix3::Bidiagonalize</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae6c425038bd77d80f1461652ec68b19f"></a><!-- doxytag: member="Ogre::Matrix3::Determinant" ref="ae6c425038bd77d80f1461652ec68b19f" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#ae6c425038bd77d80f1461652ec68b19f">Ogre::Matrix3::Determinant</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a050ec131b1f7d0fbe11ddf06133478b9"></a><!-- doxytag: member="Ogre::Matrix3::EigenSolveSymmetric" ref="a050ec131b1f7d0fbe11ddf06133478b9" args="(Real afEigenvalue[3], Vector3 akEigenvector[3]) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a050ec131b1f7d0fbe11ddf06133478b9">Ogre::Matrix3::EigenSolveSymmetric</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afEigenvalue</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a>&#160;</td>
          <td class="paramname"><em>akEigenvector</em>[3]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Eigensolver, matrix must be symmetric. </p>

</div>
</div>
<a class="anchor" id="ab96e7684e128659752ec94031357e6ff"></a><!-- doxytag: member="Ogre::Matrix3::FromAngleAxis" ref="ab96e7684e128659752ec94031357e6ff" args="(const Vector3 &amp;rkAxis, const Radian &amp;fRadians)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#ab96e7684e128659752ec94031357e6ff">Ogre::Matrix3::FromAngleAxis</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRadians</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad904362ff107e91ed2881a9802d11979"></a><!-- doxytag: member="Ogre::Matrix3::FromAxes" ref="ad904362ff107e91ed2881a9802d11979" args="(const Vector3 &amp;xAxis, const Vector3 &amp;yAxis, const Vector3 &amp;zAxis)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#ad904362ff107e91ed2881a9802d11979">Ogre::Matrix3::FromAxes</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>xAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>yAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>zAxis</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3f5abdecf648a54b164df112c7037ed7"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesXYZ" ref="a3f5abdecf648a54b164df112c7037ed7" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a3f5abdecf648a54b164df112c7037ed7">Ogre::Matrix3::FromEulerAnglesXYZ</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a209f31aa2e25d9b3d55d64d2d8304382"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesXZY" ref="a209f31aa2e25d9b3d55d64d2d8304382" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a209f31aa2e25d9b3d55d64d2d8304382">Ogre::Matrix3::FromEulerAnglesXZY</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2e0ccd0f22689072aa4a64c7a441f694"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesYXZ" ref="a2e0ccd0f22689072aa4a64c7a441f694" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a2e0ccd0f22689072aa4a64c7a441f694">Ogre::Matrix3::FromEulerAnglesYXZ</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a94b0b7264cc1572fff22f491ac6cc664"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesYZX" ref="a94b0b7264cc1572fff22f491ac6cc664" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a94b0b7264cc1572fff22f491ac6cc664">Ogre::Matrix3::FromEulerAnglesYZX</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac0148ffb86f185d7de044fd83e9647ce"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesZXY" ref="ac0148ffb86f185d7de044fd83e9647ce" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#ac0148ffb86f185d7de044fd83e9647ce">Ogre::Matrix3::FromEulerAnglesZXY</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a8308f99c3c13e067f016a45f26f15389"></a><!-- doxytag: member="Ogre::Matrix3::FromEulerAnglesZYX" ref="a8308f99c3c13e067f016a45f26f15389" args="(const Radian &amp;fYAngle, const Radian &amp;fPAngle, const Radian &amp;fRAngle)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a8308f99c3c13e067f016a45f26f15389">Ogre::Matrix3::FromEulerAnglesZYX</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>fRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a6d5df6ca5b1fb2eb3de77124da0a390d"></a><!-- doxytag: member="Ogre::Matrix3::GetColumn" ref="a6d5df6ca5b1fb2eb3de77124da0a390d" args="(size_t iCol) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> <a class="el" href="classOgre_1_1Matrix3.html#a6d5df6ca5b1fb2eb3de77124da0a390d">Ogre::Matrix3::GetColumn</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iCol</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a91fba8359a29a0bad16c9f73e436409f"></a><!-- doxytag: member="Ogre::Matrix3::GolubKahanStep" ref="a91fba8359a29a0bad16c9f73e436409f" args="(Matrix3 &amp;kA, Matrix3 &amp;kL, Matrix3 &amp;kR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1Matrix3.html#a91fba8359a29a0bad16c9f73e436409f">Ogre::Matrix3::GolubKahanStep</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kA</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>kR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af631455ebc8569768f1afb7a8711bca7"></a><!-- doxytag: member="Ogre::Matrix3::hasScale" ref="af631455ebc8569768f1afb7a8711bca7" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#af631455ebc8569768f1afb7a8711bca7">Ogre::Matrix3::hasScale</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Determines if this matrix involves a scaling. </p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00231">231</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="classOgre_1_1Math.html#a890336e0e4b6914024bfefd79c08f432">Ogre::Math::RealEqual()</a>.</p>

</div>
</div>
<a class="anchor" id="a068ef05b6bbed7ac88d22fe7cc221a7e"></a><!-- doxytag: member="Ogre::Matrix3::Inverse" ref="a068ef05b6bbed7ac88d22fe7cc221a7e" args="(Matrix3 &amp;rkInverse, Real fTolerance=1e&#45;06) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#a068ef05b6bbed7ac88d22fe7cc221a7e">Ogre::Matrix3::Inverse</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkInverse</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fTolerance</em> = <code>1e-06</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ad562bfb225028627c3ac7812056d5b45"></a><!-- doxytag: member="Ogre::Matrix3::Inverse" ref="ad562bfb225028627c3ac7812056d5b45" args="(Real fTolerance=1e&#45;06) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#a068ef05b6bbed7ac88d22fe7cc221a7e">Ogre::Matrix3::Inverse</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fTolerance</em> = <code>1e-06</code></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a275b664601f3baaec4e13f2141a2cba4"></a><!-- doxytag: member="Ogre::Matrix3::MaxCubicRoot" ref="a275b664601f3baaec4e13f2141a2cba4" args="(Real afCoeff[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#a275b664601f3baaec4e13f2141a2cba4">Ogre::Matrix3::MaxCubicRoot</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afCoeff</em>[3]</td><td>)</td>
          <td><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac28de07a8eeb9257d9f6a85c8bf9a0df"></a><!-- doxytag: member="Ogre::Matrix3::operator!=" ref="ac28de07a8eeb9257d9f6a85c8bf9a0df" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::operator!= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests 2 matrices for inequality. </p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00140">140</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMemorySTLAllocator_8h_source.html#l00183">Ogre::operator==()</a>.</p>

</div>
</div>
<a class="anchor" id="af1026cdff574efcbedc74bdb42ebc2ec"></a><!-- doxytag: member="Ogre::Matrix3::operator*" ref="af1026cdff574efcbedc74bdb42ebc2ec" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix concatenation using '*'. </p>

</div>
</div>
<a class="anchor" id="a6dca1bb430c899ce510e36a5eed9aa7a"></a><!-- doxytag: member="Ogre::Matrix3::operator*" ref="a6dca1bb430c899ce510e36a5eed9aa7a" args="(const Vector3 &amp;rkVector) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> Ogre::Matrix3::operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix * vector [3x3 * 3x1 = 3x1]. </p>

</div>
</div>
<a class="anchor" id="abfe7d82c1776a64f97575ba5677628b5"></a><!-- doxytag: member="Ogre::Matrix3::operator*" ref="abfe7d82c1776a64f97575ba5677628b5" args="(Real fScalar) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix * scalar. </p>

</div>
</div>
<a class="anchor" id="a6b41bd7f552290c980690f69e4f54004"></a><!-- doxytag: member="Ogre::Matrix3::operator+" ref="a6b41bd7f552290c980690f69e4f54004" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator+ </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix addition. </p>

</div>
</div>
<a class="anchor" id="ac0c776e7ee4604fd58715cf1edd62de7"></a><!-- doxytag: member="Ogre::Matrix3::operator&#45;" ref="ac0c776e7ee4604fd58715cf1edd62de7" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator- </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Matrix subtraction. </p>

</div>
</div>
<a class="anchor" id="a59733eb23090e235cad6451e1636e8fb"></a><!-- doxytag: member="Ogre::Matrix3::operator&#45;" ref="a59733eb23090e235cad6451e1636e8fb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> Ogre::Matrix3::operator- </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af1d37de5c682f78870aae007ee71a360"></a><!-- doxytag: member="Ogre::Matrix3::operator=" ref="af1d37de5c682f78870aae007ee71a360" args="(const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a>&amp; Ogre::Matrix3::operator= </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00128">128</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMatrix3_8h_source.html#l00278">m</a>.</p>

</div>
</div>
<a class="anchor" id="a14f0de269999f5e58d7ec11f09e82fff"></a><!-- doxytag: member="Ogre::Matrix3::operator==" ref="a14f0de269999f5e58d7ec11f09e82fff" args="(const Matrix3 &amp;rkMatrix) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Ogre::Matrix3::operator== </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Tests 2 matrices for equality. </p>

</div>
</div>
<a class="anchor" id="ad5ae794f77955d57e92f0457bcdf0d0b"></a><!-- doxytag: member="Ogre::Matrix3::operator[]" ref="ad5ae794f77955d57e92f0457bcdf0d0b" args="(size_t iRow) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>* Ogre::Matrix3::operator[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iRow</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00115">115</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="add64f270c75286c4cafa3b242778573f"></a><!-- doxytag: member="Ogre::Matrix3::Orthonormalize" ref="add64f270c75286c4cafa3b242778573f" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#add64f270c75286c4cafa3b242778573f">Ogre::Matrix3::Orthonormalize</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Gram-Schmidt orthonormalization (applied to columns of rotation matrix) </p>

</div>
</div>
<a class="anchor" id="ab86645418b9db322c77e911e1b95406e"></a><!-- doxytag: member="Ogre::Matrix3::QDUDecomposition" ref="ab86645418b9db322c77e911e1b95406e" args="(Matrix3 &amp;rkQ, Vector3 &amp;rkD, Vector3 &amp;rkU) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#ab86645418b9db322c77e911e1b95406e">Ogre::Matrix3::QDUDecomposition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkQ</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkD</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkU</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Orthogonal Q, diagonal D, upper triangular U stored as (u01,u02,u12) </p>

</div>
</div>
<a class="anchor" id="a970bb631fd5e6a6b0518ec160a3bfebd"></a><!-- doxytag: member="Ogre::Matrix3::QLAlgorithm" ref="a970bb631fd5e6a6b0518ec160a3bfebd" args="(Real afDiag[3], Real afSubDiag[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#a970bb631fd5e6a6b0518ec160a3bfebd">Ogre::Matrix3::QLAlgorithm</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afDiag</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afSubDiag</em>[3]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ab5f04bc27bc68152b92123ac2d14afd5"></a><!-- doxytag: member="Ogre::Matrix3::SetColumn" ref="ab5f04bc27bc68152b92123ac2d14afd5" args="(size_t iCol, const Vector3 &amp;vec)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#ab5f04bc27bc68152b92123ac2d14afd5">Ogre::Matrix3::SetColumn</a> </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>iCol</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>vec</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a1efb2981c1a759e607e1431321d95524"></a><!-- doxytag: member="Ogre::Matrix3::SingularValueComposition" ref="a1efb2981c1a759e607e1431321d95524" args="(const Matrix3 &amp;rkL, const Vector3 &amp;rkS, const Matrix3 &amp;rkR)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a1efb2981c1a759e607e1431321d95524">Ogre::Matrix3::SingularValueComposition</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a22254ba3dcecdad3907deb7d8b185419"></a><!-- doxytag: member="Ogre::Matrix3::SingularValueDecomposition" ref="a22254ba3dcecdad3907deb7d8b185419" args="(Matrix3 &amp;rkL, Vector3 &amp;rkS, Matrix3 &amp;rkR) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a22254ba3dcecdad3907deb7d8b185419">Ogre::Matrix3::SingularValueDecomposition</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkL</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkS</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkR</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ac46c5191ed2e90c943ad626764caadeb"></a><!-- doxytag: member="Ogre::Matrix3::SpectralNorm" ref="ac46c5191ed2e90c943ad626764caadeb" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#ac46c5191ed2e90c943ad626764caadeb">Ogre::Matrix3::SpectralNorm</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a741fc44c8d8a16de7eb395209d025f5c"></a><!-- doxytag: member="Ogre::Matrix3::swap" ref="a741fc44c8d8a16de7eb395209d025f5c" args="(Matrix3 &amp;other)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a741fc44c8d8a16de7eb395209d025f5c">Ogre::Matrix3::swap</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>other</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Exchange the contents of this matrix with another. </p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>References <a class="el" href="OgreMatrix3_8h_source.html#l00278">m</a>, and <a class="el" href="OgreSmallVector_8h_source.html#l00802">std::swap()</a>.</p>

</div>
</div>
<a class="anchor" id="af1d217c48e8894227fa2cf2a7952cccc"></a><!-- doxytag: member="Ogre::Matrix3::TensorProduct" ref="af1d217c48e8894227fa2cf2a7952cccc" args="(const Vector3 &amp;rkU, const Vector3 &amp;rkV, Matrix3 &amp;rkProduct)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">static void <a class="el" href="classOgre_1_1Matrix3.html#af1d217c48e8894227fa2cf2a7952cccc">Ogre::Matrix3::TensorProduct</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkU</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkV</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkProduct</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a2db08ea197215539e29b16dd601b1bc4"></a><!-- doxytag: member="Ogre::Matrix3::ToAngleAxis" ref="a2db08ea197215539e29b16dd601b1bc4" args="(Vector3 &amp;rkAxis, Radian &amp;rfAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a2db08ea197215539e29b16dd601b1bc4">Ogre::Matrix3::ToAngleAxis</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="afb91aa65a30bd4dda455117851bc9cc4"></a><!-- doxytag: member="Ogre::Matrix3::ToAngleAxis" ref="afb91aa65a30bd4dda455117851bc9cc4" args="(Vector3 &amp;rkAxis, Degree &amp;rfAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#a2db08ea197215539e29b16dd601b1bc4">Ogre::Matrix3::ToAngleAxis</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkAxis</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Degree.html">Degree</a> &amp;&#160;</td>
          <td class="paramname"><em>rfAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00195">195</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a2a181c876993cf552fb771e3ff0bc4d3"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesXYZ" ref="a2a181c876993cf552fb771e3ff0bc4d3" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#a2a181c876993cf552fb771e3ff0bc4d3">Ogre::Matrix3::ToEulerAnglesXYZ</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a266398dd88459e4ab8028f20e5f1baa2"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesXZY" ref="a266398dd88459e4ab8028f20e5f1baa2" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#a266398dd88459e4ab8028f20e5f1baa2">Ogre::Matrix3::ToEulerAnglesXZY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="affba36508ff21d216168aaf181662a0b"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesYXZ" ref="affba36508ff21d216168aaf181662a0b" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#affba36508ff21d216168aaf181662a0b">Ogre::Matrix3::ToEulerAnglesYXZ</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="abe2f46f171e6e470298a39b0b1da9067"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesYZX" ref="abe2f46f171e6e470298a39b0b1da9067" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#abe2f46f171e6e470298a39b0b1da9067">Ogre::Matrix3::ToEulerAnglesYZX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aca3ad54e245e5db1829cfdeded15d548"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesZXY" ref="aca3ad54e245e5db1829cfdeded15d548" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#aca3ad54e245e5db1829cfdeded15d548">Ogre::Matrix3::ToEulerAnglesZXY</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a3966a3dc328db1d6f67bfc9122a9e81c"></a><!-- doxytag: member="Ogre::Matrix3::ToEulerAnglesZYX" ref="a3966a3dc328db1d6f67bfc9122a9e81c" args="(Radian &amp;rfYAngle, Radian &amp;rfPAngle, Radian &amp;rfRAngle) const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Matrix3.html#a3966a3dc328db1d6f67bfc9122a9e81c">Ogre::Matrix3::ToEulerAnglesZYX</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfYAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfPAngle</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="classOgre_1_1Radian.html">Radian</a> &amp;&#160;</td>
          <td class="paramname"><em>rfRAngle</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="a4ccc246eae557ee30ec285fe2cc99f54"></a><!-- doxytag: member="Ogre::Matrix3::Transpose" ref="a4ccc246eae557ee30ec285fe2cc99f54" args="() const " -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#a4ccc246eae557ee30ec285fe2cc99f54">Ogre::Matrix3::Transpose</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="aba77d4cfb88b20309871d112729c03e9"></a><!-- doxytag: member="Ogre::Matrix3::Tridiagonal" ref="aba77d4cfb88b20309871d112729c03e9" args="(Real afDiag[3], Real afSubDiag[3])" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Matrix3.html#aba77d4cfb88b20309871d112729c03e9">Ogre::Matrix3::Tridiagonal</a> </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afDiag</em>[3], </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>afSubDiag</em>[3]&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Friends And Related Function Documentation</h2>
<a class="anchor" id="aed2829d86d2df8f9333d4c0087455880"></a><!-- doxytag: member="Ogre::Matrix3::Matrix4" ref="aed2829d86d2df8f9333d4c0087455880" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">friend class <a class="el" href="classOgre_1_1Matrix4.html">Matrix4</a><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00281">281</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9bc849d4891efcbb40253e790d8f5837"></a><!-- doxytag: member="Ogre::Matrix3::operator*" ref="a9bc849d4891efcbb40253e790d8f5837" args="(const Vector3 &amp;rkVector, const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> operator* </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Vector3.html">Vector3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkVector</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Vector * matrix [1x3 * 3x3 = 1x3]. </p>

</div>
</div>
<a class="anchor" id="a475a485a770084ade97b8fd310b60011"></a><!-- doxytag: member="Ogre::Matrix3::operator*" ref="a475a485a770084ade97b8fd310b60011" args="(Real fScalar, const Matrix3 &amp;rkMatrix)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> operator* </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&#160;</td>
          <td class="paramname"><em>fScalar</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>rkMatrix</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Scalar * matrix. </p>

</div>
</div>
<a class="anchor" id="ab1f3df74a0e5f9db6bdede953974466b"></a><!-- doxytag: member="Ogre::Matrix3::operator&lt;&lt;" ref="ab1f3df74a0e5f9db6bdede953974466b" args="(std::ostream &amp;o, const Matrix3 &amp;mat)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> friend std::ostream&amp; operator&lt;&lt; </td>
          <td>(</td>
          <td class="paramtype">std::ostream &amp;&#160;</td>
          <td class="paramname"><em>o</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> &amp;&#160;</td>
          <td class="paramname"><em>mat</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [friend]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Function for writing to a stream. </p>

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00250">250</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="a5bf17bf2239af2516e359dc6de22bf3d"></a><!-- doxytag: member="Ogre::Matrix3::EPSILON" ref="a5bf17bf2239af2516e359dc6de22bf3d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#a5bf17bf2239af2516e359dc6de22bf3d">Ogre::Matrix3::EPSILON</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00258">258</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="adcb2945d4f9b8995236be5a27dcfe343"></a><!-- doxytag: member="Ogre::Matrix3::IDENTITY" ref="adcb2945d4f9b8995236be5a27dcfe343" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#adcb2945d4f9b8995236be5a27dcfe343">Ogre::Matrix3::IDENTITY</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00260">260</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa4cf13c54bdcc2df5fa761e01ad180d"></a><!-- doxytag: member="Ogre::Matrix3::m" ref="afa4cf13c54bdcc2df5fa761e01ad180d" args="[3][3]" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#afa4cf13c54bdcc2df5fa761e01ad180d">Ogre::Matrix3::m</a>[3][3]<code> [protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00278">278</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

<p>Referenced by <a class="el" href="OgreMatrix4_8h_source.html#l00463">Ogre::Matrix4::extract3x3Matrix()</a>, <a class="el" href="OgreMatrix3_8h_source.html#l00080">Matrix3()</a>, <a class="el" href="OgreMatrix3_8h_source.html#l00128">operator=()</a>, <a class="el" href="OgreMatrix4_8h_source.html#l00337">Ogre::Matrix4::operator=()</a>, and <a class="el" href="OgreMatrix3_8h_source.html#l00101">swap()</a>.</p>

</div>
</div>
<a class="anchor" id="aa4db0a7f3f09a72d78b602639c3d8af5"></a><!-- doxytag: member="Ogre::Matrix3::msSvdEpsilon" ref="aa4db0a7f3f09a72d78b602639c3d8af5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="classOgre_1_1Matrix3.html#aa4db0a7f3f09a72d78b602639c3d8af5">Ogre::Matrix3::msSvdEpsilon</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00268">268</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a5e4a7f79f1b639102b04410b232702c6"></a><!-- doxytag: member="Ogre::Matrix3::msSvdMaxIterations" ref="a5e4a7f79f1b639102b04410b232702c6" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const unsigned int <a class="el" href="classOgre_1_1Matrix3.html#a5e4a7f79f1b639102b04410b232702c6">Ogre::Matrix3::msSvdMaxIterations</a><code> [static, protected]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00269">269</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4561d62d4d2c088ce2a3b6c3ec3d09af"></a><!-- doxytag: member="Ogre::Matrix3::ZERO" ref="a4561d62d4d2c088ce2a3b6c3ec3d09af" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">const <a class="el" href="classOgre_1_1Matrix3.html">Matrix3</a> <a class="el" href="classOgre_1_1Matrix3.html#a4561d62d4d2c088ce2a3b6c3ec3d09af">Ogre::Matrix3::ZERO</a><code> [static]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMatrix3_8h_source.html#l00259">259</a> of file <a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="OgreMatrix3_8h_source.html">OgreMatrix3.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:59
</p>
</body>
</html>
